
/* $Id: cpdinfo.c,v 3.5 1998/03/24 19:52:18 kohl Exp $ */


/*
 *                      CUMULVS version 1.0:
 *      Computational Steering and Interactive Visualization
 *                   in Distributed Applications
 *           Oak Ridge National Laboratory, Oak Ridge TN.
 *      Authors:  James Arthur Kohl and Philip M. Papadopoulos
 *                   (C) 1996 All Rights Reserved
 *
 *                              NOTICE
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby granted
 * provided that the above copyright notice appear in all copies and
 * that both the copyright notice and this permission notice appear
 * in supporting documentation.
 *
 * Neither the Institution, Oak Ridge National Laboratory, nor the
 * Authors make any representations about the suitability of this
 * software for any purpose.  This software is provided ``as is''
 * without express or implied warranty.
 *
 * CUMULVS was funded by the U.S. Department of Energy.
 */


/* System Header Files */

#include <stdio.h>


/* STV Header Files */

#include "stv.h"
#include "stvmac.h"
#include "stv_glob.h"


/* a main routine to test the reading and writing */

main( argc, argv )
int argc;
char **argv;
{
	CPD_HEADER header;

	long flen;

	int fd;
	int i;

	if ( argc < 2 )
	{
		fprintf( stderr,
				"usage: cpdinfo <file1> [ <file2> ... <filen>] \n");
		exit( -1 );
	}

    for ( i=1 ; i < argc ; i++ )
	{
		fd = cpd_open( argv[i], &flen );
		if ( fd < 0 )
			fprintf( stderr, "Couldn't Open File %s.\n", argv[i] );
		else
		{
			if ( flen >= sizeof(header) )
			{
				cpd_read_header( fd, &header );

				printf( "File Information:\n" );
				printf( "(%s)\n=================\n", argv[i] );
				printf( "\tApplication name:  %s\n", header.name );
				printf( "\tApplication executable name:  %s\n",
						header.aout );
				printf( "\tArch type: %s\n", header.arch );
				printf( "\tepoch: %d\n", header.epoch );
				printf( "\tTimestamp: %d\n", header.timestamp );
				printf( "\tntasks: %d\n", header.ntasks );
				printf( "\tfilesize: %ld\n", flen );
				printf( "\trestart: %d\n", header.restart );
				printf( "\tCheckpoint is %scomplete.\n", 
						( header.complete == 0 ) ? "NOT " : "" ); 
			}

			else
			{
				printf( "File %s is too short to hold header info.\n",
					argv[i] );
			}

			close( fd );
		}
	}
}

