
/* $Id: slicer_glob.c,v 1.24 1999/06/17 21:57:50 kohl Exp $ */


/*
 *                      CUMULVS version 1.0:
 *      Computational Steering and Interactive Visualization
 *                   in Distributed Applications
 *           Oak Ridge National Laboratory, Oak Ridge TN.
 *      Authors:  James Arthur Kohl and Philip M. Papadopoulos
 *                   (C) 1996 All Rights Reserved
 *
 *                              NOTICE
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby granted
 * provided that the above copyright notice appear in all copies and
 * that both the copyright notice and this permission notice appear
 * in supporting documentation.
 *
 * Neither the Institution, Oak Ridge National Laboratory, nor the
 * Authors make any representations about the suitability of this
 * software for any purpose.  This software is provided ``as is''
 * without express or implied warranty.
 *
 * CUMULVS was funded by the U.S. Department of Energy.
 */


/* Slicer Globals Declarations */


#include "slicer.h"


/* STV Globals */

STV_VIEW_FIELD_GROUP CURRENT_VFG;

STV_VIEW_FIELD CURRENT_VF;

STV_VIEW_PARAM CURRENT_VP;

STV_VIEWER VIEWER;

STV_REGION MAX_REGION;

STV_REGION VISREGION;

STV_CELL VISCELL;

int VIEWER_LOCK;
int VIEWER_KICK;

int INITIALIZED;

int CONNECTED;

int FRAME_PENDING;

int PLANE_CHOICE;

int THRASH_FACTOR;
int THRASHING;

int STEERING;

int REALLOC;

int RESTART;

int MYTID;

int FREQ;


/* TCL / TK Globals */

Tcl_Interp		*interp;

Tk_Window		Top;

Display			*Disp;

char			**Argv;
int 			Argc;

char			*MENUVAR_AUTO_COLOR;
char			*MENUVAR_MIN_MAX;
char			*MENUVAR_CUMULATIVE;

/* Slicer Globals */

WIN				MAIN_WIN;

REGION_STACK	REGIONS;

char			TMP_COORD1[255];
char			TMP_COORD2[255];
char			TMP_COORD3[255];
char			TMP_COORD4[255];

char			TMP_CMD[1024];

char			*SLICER_RADIUS_FIELD;
char			*SLICER_COLOR_FIELD;
char			*SLICER_FIELD_NAME;
char			*SLICER_FIELD_TYPE;
char			*SLICER_FIELD;
char			*SLICER_APP;

char			*SLICER_DIR;

char			*SL;
char			*SL_C;
char			*SL_M;

float			*DIFF_FIELD[2];
int				DIFF_FIELD_NELEMS;

int				DIFF_INDEX;

float			*SAVE_FIELD;
int				SAVE_FIELD_NELEMS;

int				FIELD_NELEMS;

float			COLOR_MIN_VALUE;
float			COLOR_MAX_VALUE;

float			PSCALE;

int				*COLORIDS;
int				NCOLORIDS;

RECT			RECTIDS;
int				RECTIDSIZE;
int				NRECTIDS;

CIRCLE			CIRCLEIDS;
int				CIRCLEIDSIZE;
int				NCIRCLEIDS;

RECT			BORDERID;

int				AUTO_COLOR_MAP;

int				SHOW_MIN_MAX;

int				SHOW_CUMULATIVE;

float			CUMULATIVE_MIN;
float			CUMULATIVE_MAX;
int				CUMULATIVE_SET;

int				STEER_RELEASE;

int				STEER_ACTIVE;

int				VIS_MODE;

int				SCALE;

int				NX, NY;

int				XON_KICK;

int				SLEEP;

int				NSTEPS;

int				APP_LOCKED;

int				PTR_VALID;

int				PTR_X;
int				PTR_Y;

int				REGION_ID;

int				BORDER_SPACE;
int				FRAME_BORDER;
int				ROW_HEIGHT;
int				COL_WIDTH;

int 			vflag;

